All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Insert Channel Copy
Image Copy Operations

The channel insert primitives copy a single-channel source image into one of the color channels in a multi-channel destination image. More...

## Functions

NppStatus | nppiCopy_8u_C1C3R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single-channel to three-channel 8-bit unsigned image copy. More...
NppStatus | nppiCopy_8u_C1C3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_8u_C1C4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single-channel to four-channel 8-bit unsigned image copy. More...
NppStatus | nppiCopy_8u_C1C4R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_16s_C1C3R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single-channel to three-channel 16-bit signed image copy. More...
NppStatus | nppiCopy_16s_C1C3R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_16s_C1C4R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single-channel to four-channel 16-bit signed image copy. More...
NppStatus | nppiCopy_16s_C1C4R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_16u_C1C3R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single-channel to three-channel 16-bit unsigned image copy. More...
NppStatus | nppiCopy_16u_C1C3R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_16u_C1C4R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single-channel to four-channel 16-bit unsigned image copy. More...
NppStatus | nppiCopy_16u_C1C4R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32s_C1C3R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single-channel to three-channel 32-bit signed image copy. More...
NppStatus | nppiCopy_32s_C1C3R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32s_C1C4R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single-channel to four-channel 32-bit signed image copy. More...
NppStatus | nppiCopy_32s_C1C4R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32f_C1C2R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single-channel to two-channel 32-bit float image copy. More...
NppStatus | nppiCopy_32f_C1C2R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32f_C1C3R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single-channel to three-channel 32-bit float image copy. More...
NppStatus | nppiCopy_32f_C1C3R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCopy_32f_C1C4R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single-channel to four-channel 32-bit float image copy. More...
NppStatus | nppiCopy_32f_C1C4R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)

## Detailed Description

The channel insert primitives copy a single-channel source image into one of the color channels in a multi-channel destination image.

The channel is selected by adjusting the destination image pointer to point to the desired color channel (see Channel-of-Interest API).

### Common parameters for nppiCopy_C1CX functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Select-Channel Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiCopy_16s_C1C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_16s_C1C3R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single-channel to three-channel 16-bit signed image copy.

For common parameter descriptions, see Common parameters for nppiCopy_C1CX functions.

NppStatus nppiCopy_16s_C1C4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_16s_C1C4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single-channel to four-channel 16-bit signed image copy.

For common parameter descriptions, see Common parameters for nppiCopy_C1CX functions.

NppStatus nppiCopy_16u_C1C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_16u_C1C3R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single-channel to three-channel 16-bit unsigned image copy.

For common parameter descriptions, see Common parameters for nppiCopy_C1CX functions.

NppStatus nppiCopy_16u_C1C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_16u_C1C4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single-channel to four-channel 16-bit unsigned image copy.

For common parameter descriptions, see Common parameters for nppiCopy_C1CX functions.

NppStatus nppiCopy_32f_C1C2R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32f_C1C2R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single-channel to two-channel 32-bit float image copy.

For common parameter descriptions, see Common parameters for nppiCopy_C1CX functions.

NppStatus nppiCopy_32f_C1C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32f_C1C3R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single-channel to three-channel 32-bit float image copy.

For common parameter descriptions, see Common parameters for nppiCopy_C1CX functions.

NppStatus nppiCopy_32f_C1C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32f_C1C4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single-channel to four-channel 32-bit float image copy.

For common parameter descriptions, see Common parameters for nppiCopy_C1CX functions.

NppStatus nppiCopy_32s_C1C3R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32s_C1C3R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single-channel to three-channel 32-bit signed image copy.

For common parameter descriptions, see Common parameters for nppiCopy_C1CX functions.

NppStatus nppiCopy_32s_C1C4R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_32s_C1C4R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single-channel to four-channel 32-bit signed image copy.

For common parameter descriptions, see Common parameters for nppiCopy_C1CX functions.

NppStatus nppiCopy_8u_C1C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_8u_C1C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single-channel to three-channel 8-bit unsigned image copy.

For common parameter descriptions, see Common parameters for nppiCopy_C1CX functions.

NppStatus nppiCopy_8u_C1C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCopy_8u_C1C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single-channel to four-channel 8-bit unsigned image copy.

For common parameter descriptions, see Common parameters for nppiCopy_C1CX functions.

Copyright © 2009-2020 NVIDIA Corporation